Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

An API key linked to a Program in LoyaltyLion, with a set of permissions (scopes). API keys can be created manually, or acquired through an OAuth2 flow. The API key should be provided as a Bearer token in the Authorization header

Query Parameters

since_id
integer

Return only resources whose id is after the specified id

Required range: x >= 0
limit
integer
default:100

Max number of resources to return per request

Required range: 1 <= x <= 500
page
integer
deprecated

Fetch another page of results. This field is deprecated and will be removed in a future version of the API. Use cursors for pagination instead

Required range: x >= 1
sort_field
enum<string>
Available options:
id,
updated_at
sort_direction
enum<string>
Available options:
asc,
desc
cursor
string

Fetch another page of results using a cursor returned in a previous response

email
string

Return only customers whose email contains the specified string

created_at_min
string

Return only customers created on or after the specified ISO 8601 datetime string

created_at_max
string

Return only customers created before the specified ISO 8601 datetime string

updated_at_min
string

Return only customers updated on or after the specified ISO 8601 datetime string

updated_at_max
string

Return only customers updated before the specified ISO 8601 datetime string

Response

200

customers
object[]
required
cursor
object
required

Cursors that can be used to fetch the previous or next page of results. If a cursor is null, it means there are no more results in that direction